aboutsummaryrefslogtreecommitdiff
path: root/build_docs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build_docs.sh')
-rwxr-xr-xbuild_docs.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/build_docs.sh b/build_docs.sh
new file mode 100755
index 00000000..c41fd675
--- /dev/null
+++ b/build_docs.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -e
+
+export CARGO_TARGET_DIR=target
+
+for toml in $(find . -maxdepth 2 -name "Cargo.toml"); do
+ cargo update --manifest-path $toml || true
+ features=$(cargo read-manifest --manifest-path $toml | jq -r '.features|keys|join(" ")')
+ cargo doc --no-deps --manifest-path $toml --features "$features"
+done